#
# spec file for package honggfuzz
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           honggfuzz
Version:        1.5
Release:        lp150.2.1
Summary:        Security-oriented fuzzer with various analysis options
License:        Apache-2.0
Group:          Development/Tools/Other
URL:            http://honggfuzz.com
Source:         https://github.com/google/honggfuzz/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  binutils-devel
BuildRequires:  libunwind-devel
BuildRequires:  zlib-devel

%description
Security-oriented fuzzer with powerful analysis options. Supports
evolutionary, feedback-driven fuzzing based on code coverage
(software and hardware).

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags} ARCH_LDFLAGS="-L/usr/local/include -L/usr/include -lpthread -lunwind-ptrace -lunwind-generic -lbfd -lopcodes -lrt -liberty -lz -ldl"

%install
install -Dpm 0755 %{name} \
  %{buildroot}%{_bindir}/%{name}

%files
%license COPYING
%doc CHANGELOG CONTRIBUTING README.md
%{_bindir}/%{name}

%changelog
* Thu Mar  8 2018 mpluskal@suse.com
- Clean up spec file using spec-cleaner
- Update project url
* Fri Feb 23 2018 mvetter@suse.com
- Update to version 1.5:
  * Persistent fuzzing now works with MacOS-X
  * Fixed some examples/ to make it work with MacOS-X
  * Should compile cleanly with newer MacOS-X versions
- Changes from version 1.4:
  * Socketfuzzer by @dobin
  * TCP fuzzer (HonggFuzzer NetDriver) in libhfnetdriver
  * Display: changed layout a bit
  * Better examples/ dir: Apache HTTP, ISC Bind
  * Added persistent and netdriver signatures
  * Added missing symbols for newer -fsanitize-coverage (const)
  * Changed internal structures (global vs run)
- Remove honggfuzz-binutils_2.29.patch: contained in release
* Mon Oct  2 2017 mpluskal@suse.com
- Update to version 1.1:
  * Simplified and improved hfuzz_cc compiler
  * More string instrumentation in libhfuzz
  * Android: works with Android-NDK 15 and newer only
  * Dockerfile
  * Refreshed docs
  * Linux: Faster BTS/PT due to less PMU state resets
  * Linux: tests and by-pass for the Linux' fork-when-multithreaded
    problem
  * libFuzzer/AFL style dictionaries
  * Runnable under docker/oss-fuzz
- Changes for version 1.0:
  * Multiple stability improvements for most of the supported
    architectures
  * More examples in examples/ (e.g. Linux kernel IP for BTS/PT)
  * Documentation updates
  * Added honggfuzz compiler wrapper in hfuzz_cc/
  * Reworked buffer mangling logic
- Drope reproducible.patch and gcc7.patch
- Add honggfuzz-binutils_2.29.patch to fix building with latest
  binutils
* Mon May 29 2017 bwiedemann@suse.com
- Add reproducible.patch to sort input files to make build reproducible
  (boo#1041090)
- Add gcc7.patch to make it build on GCC7 in Factory
* Sat Apr 29 2017 mpluskal@suse.com
- Update to version 0.9:
  * Smaller and bigger reworks:
    + Android Makefile
    + New sanitizers.c
    + Display console with scrolling logs
    + Improved libhfuzz - esp. the trace_cmp handling
    + Improved mangle.c
  * Multiple examples of persistent fuzzing: libpng, jpeg, libxml,
    apache, openssl
* Sun Feb  5 2017 jengelh@inai.de
- Update description
* Sat Jan 28 2017 mpluskal@suse.com
- Initial package for version 0.8
